execute as @a[scores={restart=1}] run tellraw @a ["",{"selector":"@s","color":"gold"},{"text":" has restarted the level","color":"none"}]
execute as @a[scores={restart=2}] run tellraw @a ["",{"selector":"@s","color":"gold"},{"text":" has stepped on lapis and restarted the level","color":"none"}]
execute as @a[scores={restart=5}] run tellraw @a ["",{"selector":"@s","color":"gold"},{"text":" was engulfed in flames and restarted the level","color":"none"}]

function blockeffect:level/start_location
function blockeffect:level/start_wool

execute unless block 84 100 -10 oak_planks run function blockeffect:reset/wood_oak
execute unless block 95 100 -10 birch_planks run function blockeffect:reset/wood_birch
function blockeffect:reset/quartz
function blockeffect:reset/stations
function blockeffect:reset/cracked_wall
function blockeffect:reset/boss
scoreboard players set @a emerald_fall 0
schedule function blockeffect:reset/falling_emerald 40t
fill 103 117 -10 122 117 9 glass
function blockeffect:lava_retract
fill 103 100 -10 106 100 -7 air replace cobblestone

execute if block 139 101 0 #minecraft:planks run setblock 139 102 0 iron_trapdoor[half=bottom]
execute if block 137 101 0 #minecraft:planks run setblock 137 102 0 iron_trapdoor[half=bottom]
execute if block 135 101 -1 #minecraft:planks run setblock 135 102 -1 iron_trapdoor[half=bottom]
execute if block 132 101 0 #minecraft:planks run setblock 132 102 0 iron_trapdoor[half=bottom]
execute if block 139 101 0 #minecraft:slabs run setblock 139 102 0 air
execute if block 137 101 0 #minecraft:slabs run setblock 137 102 0 air
execute if block 135 101 -1 #minecraft:slabs run setblock 135 102 -1 air
execute if block 132 101 0 #minecraft:slabs run setblock 132 102 0 air

title @a[scores={level=1..}] title ["",{"text":"Level ","color":"green"},{"score":{"name":"@s","objective":"level"},"color":"green"}]

clear @a[gamemode=adventure]
function blockeffect:refresh_effects
spawnpoint @a[scores={level=..9}] 0 101 0
spawnpoint @a[scores={level=10}] 263 100 5
execute as @a[scores={restart=..2}] at @s run playsound minecraft:entity.ghast.warn voice @s ~ ~ ~ 10 1
scoreboard players reset * restart

effect give @a[scores={level=1..}] blindness 3 0 true
effect give @a[scores={level=1..}] jump_boost 2 128 true
effect give @a[scores={level=1..}] slowness 2 255 true
effect clear @a[scores={level=0}] jump_boost