#Just joined
execute as @a unless entity @s[scores={level=0..}] run bossbar set cooldown players @a
execute as @a unless entity @s[scores={level=0..}] run xp set @s 0 points
execute as @a unless entity @s[scores={level=0..}] run bossbar set wood players @a
execute as @a unless entity @s[scores={level=0..}] run bossbar set boss players @a
execute as @a unless entity @s[scores={level=0..}] run spawnpoint @s 0 101 0
execute as @a unless entity @s[scores={level=0..}] run scoreboard players set @s level 0
execute as @a unless entity @s[scores={wool=0..}] run scoreboard players set @s wool 0
execute as @a unless entity @s[scores={playercooldown=0..}] run scoreboard players set @s playercooldown 40

#Items on the ground
execute as @a[gamemode=adventure] unless entity @s[nbt={Inventory:[{Slot: -106b}]}] run function blockeffect:wool/left_hand
kill @e[type=item]

#Other
scoreboard players set @a[scores={timealive=900..}] timealive 5
execute as @a[scores={timealive=..5}] run function blockeffect:refresh_effects
execute if blocks 167 100 6 170 108 9 167 110 6 all if score @a[limit=1,scores={level=6}] emerald_fall matches 0 run function blockeffect:emerald_fall
execute if block 107 101 -7 air if block 103 117 -10 glass run fill 103 117 -10 122 117 9 air replace glass

#Jump Pad
execute as @a[gamemode=adventure,scores={wool=5,jump=1..}] at @s if block ~ ~ ~ activator_rail run scoreboard players set @s jump 100
execute as @a[scores={jump=100}] at @s run tp @s ~ ~4 ~
execute as @a[scores={jump=100}] at @s run playsound entity.ghast.shoot voice @s ~ ~ ~ 10 2
scoreboard players set @a[scores={jump=1..}] jump 0

#What level you are in
function blockeffect:level/coords

#Standing on Blocks
execute as @a[scores={wool=10},gamemode=adventure] at @s if block ~ ~ ~ quartz_slab run setblock ~ ~ ~ snow[layers=1]
execute as @a[gamemode=adventure] unless entity @s[scores={wool=10}] at @s if block ~ ~ ~ #rails run function blockeffect:rails
execute as @a[gamemode=adventure,scores={playercooldown=40..}] at @s if block ~ ~ ~ #carpets run function blockeffect:switch_wool/switch_wool
execute as @a[gamemode=adventure,scores={sprinting=1..,wool=3}] at @s if block ~ ~ ~ magenta_banner run function blockeffect:portal_tp
execute as @a[gamemode=adventure,scores={level=9}] at @s unless score @s underglass matches 1.. if block ~ ~2 ~ #glasses run function blockeffect:switch_wool/glass
execute as @a[gamemode=adventure,scores={underglass=1}] at @s unless block ~ ~2 ~ #glasses run scoreboard players set @s underglass 0
execute as @a[gamemode=adventure,scores={level=4}] at @s unless score @s wool matches 0 if block ~ ~1 ~ lava run function blockeffect:touched_lava
execute as @a[gamemode=adventure,scores={level=4}] at @s if block ~ ~-1 ~ coal_block unless block ~ 116 ~ air run function blockeffect:lava_retract

#Setting sneak time
scoreboard players set @a[scores={shift2=2..}] shift2 2
scoreboard players set @a[scores={shift2=0,shift=1..}] shift 0
scoreboard players remove @a[scores={shift2=1..}] shift2 1

#Use cobble climb
execute as @a[scores={wool=1..},gamemode=adventure] at @s run fill ~-2 ~-1 ~-2 ~2 ~-1 ~2 air replace barrier
execute as @a[scores={wool=1,shift=1..},gamemode=adventure] at @s run function blockeffect:wool/cobble_climb

#Setting sprint time
scoreboard players reset @a[scores={sprinting=1..}] sprinting

#Resets
execute as @a[scores={restart=1..}] run function blockeffect:reset/restart
execute as @a[gamemode=adventure] at @s unless score @s wool matches 0 if block ~ ~-1 ~ lapis_block if block ~ ~ ~ air run scoreboard players set @s restart 2

#Destruction Wool
execute as @a[scores={wool=14},gamemode=adventure] at @s run function blockeffect:detect_crack

#Wood
scoreboard players set @a[scores={wood=1..}] wood 0
execute as @a[gamemode=adventure] at @s if block ~ ~-1 ~ #logs run function blockeffect:wood/wood_cooldown
scoreboard players remove @a[scores={wood=0,woodtime=1..39}] woodtime 1
execute as @a[scores={woodtime=0}] run bossbar set wood visible false
execute as @a[scores={woodtime=1}] run bossbar set wood visible true
execute as @a[scores={woodtime=1..}] store result bossbar wood value run scoreboard players get @s woodtime

#Stations
scoreboard players add @a[scores={playercooldown=..39}] playercooldown 1
execute as @a[scores={playercooldown=40}] run bossbar set cooldown visible false
execute as @a[scores={playercooldown=0..39}] run bossbar set cooldown visible true
execute as @a[scores={playercooldown=0..39}] store result bossbar cooldown value run scoreboard players get @s playercooldown

#Level Complete
execute as @a[gamemode=adventure,scores={wool=4}] at @s if block ~ ~-1 ~ emerald_block run function blockeffect:level/complete

#Boss Battle
execute as @a[scores={level=10}] run function blockeffect:boss/arrows
execute as @a[scores={level=10}] run function blockeffect:boss/redstone
execute as @a[scores={level=10}] run function blockeffect:boss/health

#Hunger System
effect give @a[gamemode=adventure] hunger 1000000 255 true
execute as @a[scores={food=..5}] unless score @s wool matches 3 run effect give @s saturation 1 0 true
execute as @a[scores={food=..7}] if score @s wool matches 3 run effect give @s saturation 1 0 true
execute as @a[scores={food=..7}] if score @s wool matches 0 run effect give @s saturation 1 0 true